\name{grin-package}
\alias{grin-package}
 \alias{grin-package}
 \alias{grin}
 \docType{package}
 \title{Use genomic random interval (GRIN) modeling to identify particular loci, genes, or gene-sets with a significance abundance of genomic lesions.}
 \description{Genomic random interval (GRIN) analysis attempts to infer the biological significance of a genomic lesion data set by statistically modeling the genomic 
 lesions as a set of genomic random intervals.  Briefly, the statistical 
 model represents lesions as genomic random intervals of fixed length that may occur at any position along the same
 chromosome with uniform probability.  The frequencies at which lesions overlap with specific genomic loci, 
 specific genes, or gene sets are statistics that measure the extent to which lesions `target' those loci, genes,
 or gene sets.  The observed frequencies are compared to the probability distribution derived by modeling the lesions as genomic random intervals. 
 A genomic random interval (GRIN) model is used as a null model to evaluate the statistical significance of the pattern of overlap of genomic lesions 
 with the loci of individual genes, predefined sets of genes, and each base-pair locus in the genome.  The null model represents each lesion as an interval 
 of fixed length and random location that may occur at any location along the chromosome with equal probability.  The null model defines null distributions 
 for the total number of overlapping gene-lesion pairs, the number of lesions that overlap any locus in a gene set, and the number of tumors with a lesion 
 that overlaps any locus in a gene set.  The significance of each overlap statistic may be determined by comparing its observed value to its null distribution 
 defined by the GRIN model.}
 \details{
 \tabular{ll}{
 Package: \tab grin\cr
 Type: \tab Package\cr
 Version: \tab 1.1\cr
 Date: \tab 2013-07-18\cr
 License: \tab GPL(>=2) \cr }
 }
 \author{Stan Pounds <stanley.pounds@stjude.org> Zhifa Liu <zhifa.liu@stjude.org>

 Maintainer: Zhifa Liu <zhifa.liu@stjude.org>
 }
 \references{Pounds S, Cheng C, Li, S, Liu Z, Zhang J, Mullighan C(2013) Genomic Random Interval Models for Statistical Analysis of Genomic Lesion Data. Bioinformatics.


             Pounds and Cheng (2006) Robust estimation of the false discovery rate. Bioinformatics 22: 1979-87.}
