\name{grin.analysis}
\alias{grin.analysis}
 \title{Generate a complete analysis:grin.genes, grin.genome, grin.gset for the lesion data}
 \description{The function take the input lesion data and perform grin.genes, grin.genome, grin.gsets, and save those results to result directory.}
\usage{
grin.analysis (lesion.data, geneloc.data = hg19.gene.annotation.data, 
    gset.data = KEGG.gset.data, chrom.data = hg19.chrom.sizes.data, 
    prefix = "", result.dir = NULL) 
}
 \arguments{
 \item{lesion.data}{data.frame with one row per lesion, columns for subj.ID, chrom, loc.start, loc.end and type}
 \item{geneloc.data}{data.frame with one row per gene, columns for gene.id, gene.label, chrom, loc.start, loc.end. The default is hg19.gene.annotation.data}
 \item{gset.data}{data.frame with one row per assignment of gene to gene-set, columns for gset.id, gset.label, and gene.id. The default is KEGG.gset.data}
 \item{chrom.data}{data.frame with one row per chromosome, columns for chrom and size. The default is hg19.chrom.sizes.data}    
 \item{prefix}{prefix for the result file}  
 \item{result.dir}{the working directory to store the results}    
 }
 \examples{
 data(HYPO.lesion.data)
 #grin.analysis(HYPO.lesion.data,prefix="HYPO-")
 }
 \references{Pounds S, Cheng C, Li, S, Liu Z, Zhang J, Mullighan C(2013) Genomic Random Interval Models for Statistical Analysis of Genomic Lesion Data. Bioinformatics.


             Pounds and Cheng (2006) Robust estimation of the false discovery rate. Bioinformatics 22: 1979-87.}
 \value{NULL}
