\name{add.gene.anns}
\alias{add.gene.anns}
 \title{add gene annotation}
 \description{annotate a set of interval (genomic lesions) or point loci (microarray markers) with nearby or overlapping genes}
\usage{
add.gene.anns (res.data, res.chrom, res.start, res.end, gene.data, 
    gene.id, gene.chrom, gene.start, gene.end, annres.file = NULL, 
    gene.type = "gene", bp.win = 5000, max.genes = 15, return.result = T) 
}
 \arguments{
 \item{res.data}{a data.frame or name of a tab-delimited text file with locations of the loci to be annotated} 
 \item{res.chrom}{name or numeric index of chromosome column in res.data}
 \item{res.start}{name or numeric index of start position column in res.data}
 \item{res.end}{name or numeric index of end position column in res.data}
 \item{gene.data}{a data.frame or name of a tab-delimited text file with one row per gene, columns for gene.id, gene.label, chrom, loc.start, loc.end}
 \item{gene.id}{name or numeric index of gene identifier column in gene.data}
 \item{gene.chrom}{name or numeric index of chromosome column in gene.data}
 \item{gene.start}{name or numeric index of start position in gene.data}
 \item{gene.end}{name or numeric index of end position in gene.data}
 \item{annres.file}{name of output annotated result file}
 \item{gene.type}{name of the "type of gene", e.g. "gene" or "miRNA"}
 \item{bp.win}{size of a matching window in base pairs}
 \item{max.genes}{maximum number of genes to print the gene symbol}
 \item{return.result}{indicates whether to return the results to R or not}
 }
 \examples{
 data(ETP.lesion.data)
 data(hg18.gene.annotation.data)
 data(hg18.chrom.sizes.data)
 #ann.res<- add.gene.anns(ETP.lesion.data,2,3,4,hg18.gene.annotation.data,"gene.label","chrom",
                      # "loc.start","loc.end",max.genes=20)  #commented out example
 }
 \value{data.frame with res.data and the gene annotations for the leision data.}
